org.springframework.messaging.handler.invocation

## Interface HandlerMethodArgumentResolver

All Known Implementing Classes:
  AbstractNamedValueMethodArgumentResolver, DestinationVariableMethodArgumentResolver, HandlerMethodArgumentResolverComposite, HeaderMethodArgumentResolver, HeadersMethodArgumentResolver, MessageMethodArgumentResolver, PayloadArgumentResolver, PayloadMethodArgumentResolver, PrincipalMethodArgumentResolver

    public interface HandlerMethodArgumentResolver

Strategy interface for resolving method parameters into argument values in the context of a given `Message`.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `resolveArgument(org.springframework.core.MethodParameter parameter, Message<?> message)` Resolves a method parameter into an argument value from a given message.
`boolean` `supportsParameter(org.springframework.core.MethodParameter parameter)` Whether the given method parameter is supported by this resolver.

### Method Detail

#### supportsParameter

    boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Whether the given method parameter is supported by this resolver.

Parameters:
  `parameter` - the method parameter to check
Returns:
  `true` if this resolver supports the supplied parameter; `false` otherwise

#### resolveArgument

    @Nullable
    Object resolveArgument(org.springframework.core.MethodParameter parameter,
                                     Message<?> message)
                              throws Exception

Resolves a method parameter into an argument value from a given message.

Parameters:
  `parameter` - the method parameter to resolve. This parameter must have previously been passed to `supportsParameter(org.springframework.core.MethodParameter)` which must have returned `true`.
  `message` - the currently processed message
Returns:
  the resolved argument value, or `null`
Throws:
  `Exception` - in case of errors with the preparation of argument values